org.eclipse.jetty.plus.webapp

## Class PlusDecorator

- java.lang.Object
- - org.eclipse.jetty.plus.webapp.PlusDecorator

All Implemented Interfaces:
  ServletContextHandler.Decorator

    public class PlusDecorator
    extends Object
    implements ServletContextHandler.Decorator

WebAppDecorator

### Field Summary

Fields
`protected WebAppContext` `_context`

### Constructor Summary

Constructors
Constructor and Description
`PlusDecorator(WebAppContext context)`

### Method Summary

Methods
`protected void` `decorate(Object o)`
`void` `decorateFilterHolder(FilterHolder filter)`
`<T extends javax.servlet.Filter> T` `decorateFilterInstance(T filter)`
`<T extends EventListener> T` `decorateListenerInstance(T listener)`
`void` `decorateServletHolder(ServletHolder holder)`
`<T extends javax.servlet.Servlet> T` `decorateServletInstance(T servlet)`
`protected void` `destroy(Object o)`
`void` `destroyFilterInstance(javax.servlet.Filter f)`
`void` `destroyListenerInstance(EventListener l)`
`void` `destroyServletInstance(javax.servlet.Servlet s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _context

    protected WebAppContext _context

### Constructor Detail

#### PlusDecorator

    public PlusDecorator(WebAppContext context)

### Method Detail

#### decorateFilterHolder

    public void decorateFilterHolder(FilterHolder filter)
                              throws javax.servlet.ServletException

Specified by:
  `decorateFilterHolder` in interface `ServletContextHandler.Decorator`
Throws:
  `javax.servlet.ServletException`
See Also:
  `ServletContextHandler.Decorator.decorateFilterHolder(org.eclipse.jetty.servlet.FilterHolder)`

#### decorateFilterInstance

    public <T extends javax.servlet.Filter> T decorateFilterInstance(T filter)
                                                          throws javax.servlet.ServletException

Specified by:
  `decorateFilterInstance` in interface `ServletContextHandler.Decorator`
Throws:
  `javax.servlet.ServletException`
See Also:
  `ServletContextHandler.Decorator.decorateFilterInstance(javax.servlet.Filter)`

#### decorateListenerInstance

    public <T extends EventListener> T decorateListenerInstance(T listener)
                                                     throws javax.servlet.ServletException

Specified by:
  `decorateListenerInstance` in interface `ServletContextHandler.Decorator`
Throws:
  `javax.servlet.ServletException`
See Also:
  `ServletContextHandler.Decorator.decorateListenerInstance(java.util.EventListener)`

#### decorateServletHolder

    public void decorateServletHolder(ServletHolder holder)
                               throws javax.servlet.ServletException

Specified by:
  `decorateServletHolder` in interface `ServletContextHandler.Decorator`
Throws:
  `javax.servlet.ServletException`
See Also:
  `ServletContextHandler.Decorator.decorateServletHolder(org.eclipse.jetty.servlet.ServletHolder)`

#### decorateServletInstance

    public <T extends javax.servlet.Servlet> T decorateServletInstance(T servlet)
                                                            throws javax.servlet.ServletException

Specified by:
  `decorateServletInstance` in interface `ServletContextHandler.Decorator`
Throws:
  `javax.servlet.ServletException`
See Also:
  `ServletContextHandler.Decorator.decorateServletInstance(javax.servlet.Servlet)`

#### destroyFilterInstance

    public void destroyFilterInstance(javax.servlet.Filter f)

Specified by:
  `destroyFilterInstance` in interface `ServletContextHandler.Decorator`
See Also:
  `ServletContextHandler.Decorator.destroyFilterInstance(javax.servlet.Filter)`

#### destroyServletInstance

    public void destroyServletInstance(javax.servlet.Servlet s)

Specified by:
  `destroyServletInstance` in interface `ServletContextHandler.Decorator`
See Also:
  `ServletContextHandler.Decorator.destroyServletInstance(javax.servlet.Servlet)`

#### destroyListenerInstance

    public void destroyListenerInstance(EventListener l)

Specified by:
  `destroyListenerInstance` in interface `ServletContextHandler.Decorator`
See Also:
  `ServletContextHandler.Decorator.destroyListenerInstance(java.util.EventListener)`

#### decorate

    protected void decorate(Object o)
                     throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

#### destroy

    protected void destroy(Object o)